package com.gic.spark.entity.enumtype;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/24
 */
public enum TimeRangeType {

    /**
     * 当前 :年/月/日
     */
    CURRENT("current"),

    /**
     * 之后
     */
    LATER("later"),
    /**
     * 最近
     */
    LATELY("lately"),
    /**
     * 固定
     */
    FIXATION("fixation");

    private String value;

    TimeRangeType(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
