package com.gic.spark.util;

import java.util.Collections;
import java.util.List;

/**
 * @author Luojs
 * @version 1.0
 * @Package com.gic.spark.util
 * @Description: (比较两个list是否完全相同)
 * @date 七月 30 2018 ,15:39
 */
public class ListEqualUtil {
    public static boolean isListEqual(List<String> list1,List<String> list2){
        if (list1 == list2){
            return true;
        }
        if (null == list1 || null == list2){
            return false;
        }
        if (list1.size() != list2.size()){
            return false;
        }
        for (String l1 : list1) {
            if (!list2.contains(l1)){
                return false;
            }
        }
        for (String l2 : list2) {
            if (!list1.contains(l2)){
                return false;
            }
        }
        return true;
    }

    public static boolean isListEquals(List<String> list1,List<String> list2){
        Collections.sort(list1);
        Collections.sort(list2);
        if (list1.equals(list2)){
            return true;
        }else {
            return false;
        }
    }
}
