package com.gic.spark.entity;

import com.gic.spark.entity.table.TabSceneCrowd;

import java.util.LinkedList;
import java.util.List;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/16
 */
public class SceneCrowdDTO extends TabSceneCrowd{

    private LinkedList<TagConditionGroupDTO> conditionGroupDTOList;


    public SceneCrowdDTO() {
    }

    public SceneCrowdDTO(TabSceneCrowd sceneCrowd,LinkedList<TagConditionGroupDTO> conditionGroupDTOList){
        this.setId(sceneCrowd.getId());
        this.setScene_Crowd_Name(sceneCrowd.getScene_Crowd_Name());
        this.setReal_Time(sceneCrowd.getReal_Time());
        this.setScene_Crowd_Expire_Time(sceneCrowd.getScene_Crowd_Expire_Time());
        this.setScene_Crowd_Category_Id(sceneCrowd.getScene_Crowd_Category_Id());
        this.setScene_Crowd_Desc(sceneCrowd.getScene_Crowd_Desc());
        this.setScene_Crowd_Update_Type(sceneCrowd.getScene_Crowd_Update_Type());
        this.setScene_Crowd_Update_Type_Val(sceneCrowd.getScene_Crowd_Update_Type_Val());
        this.setUpdate_Time(sceneCrowd.getUpdate_Time());
        this.setMember_Size(sceneCrowd.getMember_Size());
        this.setCreate_Time(sceneCrowd.getCreate_Time());
        this.setValid_Flag(sceneCrowd.getValid_Flag());
        this.setTag_Condition_Group_Info(sceneCrowd.getTag_Condition_Group_Info());
        this.setDelete_Flag(sceneCrowd.getDelete_Flag());
        this.setEnterprise_Id(sceneCrowd.getEnterprise_Id());
        this.setCrowd_Param(sceneCrowd.getCrowd_Param());

        this.setConditionGroupDTOList(conditionGroupDTOList);
    }

    public LinkedList<TagConditionGroupDTO> getConditionGroupDTOList() {
        return conditionGroupDTOList;
    }

    public void setConditionGroupDTOList(LinkedList<TagConditionGroupDTO> conditionGroupDTOList) {
        this.conditionGroupDTOList = conditionGroupDTOList;
    }
}
