package com.gic.spark.entity.enumtype;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/29
 */
public enum CouponType {
    /**
     * 待领取
     */
    UNCLAIMED,
    /**
     * 已领取未核销
     */
    NO_CANCEL,

    /**
     *未核销已过期卡券
     */
    NO_CANCEL_EXPIRES,
    /**
     *已核销卡券
     */
    CANCEL,
    /**
     *已占用卡券
     */
    OCCUPY,
    /**
     *转赠中卡券
     */
    DONATION_IN,
    /**
     *已转增卡券
     */
    YET_DONATION
}
