package com.gic.spark.entity.request;

import com.gic.spark.entity.enumtype.TimeRangeType;
import com.gic.spark.entity.enumtype.YearMonthDayType;

import java.sql.Timestamp;
import java.util.Date;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/8/5
 */
public class AbstractFilterRequestTime extends AbstractFilterRequest{
    /**
     * 开始时间
     */
    private Date beginTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 最近 年/月/日 时间
     */
    private int timeNum;

    private TimeRangeType timeRangeType;

    private YearMonthDayType yearMonthDayType;

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public int getTimeNum() {
        return timeNum;
    }

    public void setTimeNum(int timeNum) {
        this.timeNum = timeNum;
    }

    public TimeRangeType getTimeRangeType() {
        return timeRangeType;
    }

    public void setTimeRangeType(TimeRangeType timeRangeType) {
        this.timeRangeType = timeRangeType;
    }

    public YearMonthDayType getYearMonthDayType() {
        return yearMonthDayType;
    }

    public void setYearMonthDayType(YearMonthDayType yearMonthDayType) {
        this.yearMonthDayType = yearMonthDayType;
    }
}
