package com.gic.spark.entity.request;

import com.gic.spark.entity.enumtype.NumberType;
import com.gic.spark.entity.enumtype.TimeRangeType;

import java.sql.Timestamp;

/**
 * @description:
 * @author: wangxk
 * @date: 2020/4/26
 */
public class TagIntegralRequest extends AbstractFilterRequestInteger {

    /**
     * 开始时间
     */
    private Timestamp beginTime;
    /**
     * 结束时间
     */
    private Timestamp endTime;
    /**
     * 最近几天时间
     */
    private int timeNum;

    private TimeRangeType timeRangeType;

    public Timestamp getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Timestamp beginTime) {
        this.beginTime = beginTime;
    }

    public Timestamp getEndTime() {
        return endTime;
    }

    public void setEndTime(Timestamp endTime) {
        this.endTime = endTime;
    }

    public int getTimeNum() {
        return timeNum;
    }

    public void setTimeNum(int timeNum) {
        this.timeNum = timeNum;
    }

    public TimeRangeType getTimeRangeType() {
        return timeRangeType;
    }

    public void setTimeRangeType(TimeRangeType timeRangeType) {
        this.timeRangeType = timeRangeType;
    }

}
