package com.gic.spark.util;

import org.apache.commons.configuration.ConfigurationException;

import java.util.Properties;

/**
 * @description:
 * @author: wangxk
 * @date: 2018/7/25
 */
public class AppEnvUtil {
    public static String MEMBER_SHARDING_4;
    public static String  MARKETING_SHARDING;
    public static String ES_NODES;
    static {
            try {
                Properties properties = new Properties();
                properties.load(AppEnvUtil.class.getClassLoader().getResourceAsStream("application.properties"));
                MEMBER_SHARDING_4=properties.getProperty("member.sharding.4");
                MARKETING_SHARDING=properties.getProperty("marketing.sharding");
                ES_NODES=properties.getProperty("es.nodes");
            } catch (Exception e) {
                e.printStackTrace();
                System.out.println("读取配置信息失败！");
            }
    }
    public static void main(String[] args) throws ConfigurationException {
    }
}
